Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.value
Class Helper

    java.lang.Object
      org.jboss.portal.common.value.Helper

Deprecated.

    @Deprecated
    public class Helper

extends java.lang.Object

Version:
  $Revision: 7200 $
Author:
  Julien Viet

Field Summary
`static Converter` | `BOOLEAN_CONVERTER` Deprecated.
`static boolean[]` | `EMPTY_BOOLEAN_ARRAY` Deprecated.
`static int[]` | `EMPTY_INT_ARRAY` Deprecated.
`static java.lang.Object[]` | `EMPTY_OBJECT_ARRAY` Deprecated.
`static java.lang.String[]` | `EMPTY_STRING_ARRAY` Deprecated.
`static Converter` | `FLOAT_CONVERTER` Deprecated.
`static Converter` | `INTEGER_CONVERTER` Deprecated.

Constructor Summary
`Helper()` Deprecated.

Method Summary
`static boolean` | `toBoolean(java.lang.String value)` Deprecated.
`static int` | `toInt(java.lang.String value)` Deprecated.
`static java.lang.String` | `toString(boolean value)` Deprecated.
`static java.lang.String` | `toString(int value)` Deprecated.
`static java.lang.String` | `toString(java.lang.Object value, Converter converter)` Deprecated.
`static java.lang.String[]` | `toStringArray(boolean[] values)` Deprecated.
`static java.lang.String[]` | `toStringArray(int[] values)` Deprecated.
`static java.lang.String[]` | `toStringArray(java.lang.Object[] values, Converter converter)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_INT_ARRAY

    public static final int[] EMPTY_INT_ARRAY

  Deprecated.

### EMPTY_BOOLEAN_ARRAY

    public static final boolean[] EMPTY_BOOLEAN_ARRAY

  Deprecated.

### EMPTY_OBJECT_ARRAY

    public static final java.lang.Object[] EMPTY_OBJECT_ARRAY

  Deprecated.

### EMPTY_STRING_ARRAY

    public static final java.lang.String[] EMPTY_STRING_ARRAY

  Deprecated.

### FLOAT_CONVERTER

    public static final Converter FLOAT_CONVERTER

  Deprecated.

### INTEGER_CONVERTER

    public static final Converter INTEGER_CONVERTER

  Deprecated.

### BOOLEAN_CONVERTER

    public static final Converter BOOLEAN_CONVERTER

  Deprecated.

Constructor Detail

### Helper

    public Helper()

  Deprecated.

Method Detail

### toInt

    public static int toInt(java.lang.String value)
                     throws NullConversionException,
                            FormatConversionException

  Deprecated.
  Throws:
    `NullConversionException`
    `FormatConversionException`

### toBoolean

    public static boolean toBoolean(java.lang.String value)
                             throws NullConversionException,
                                    FormatConversionException

  Deprecated.
  Throws:
    `NullConversionException`
    `FormatConversionException`

### toString

    public static java.lang.String toString(int value)

  Deprecated.

### toString

    public static java.lang.String toString(boolean value)

  Deprecated.

### toString

    public static java.lang.String toString(java.lang.Object value,
                                            Converter converter)
                                     throws NullConversionException,
                                            FormatConversionException,
                                            java.lang.IllegalArgumentException

  Deprecated.
  Throws:
    `NullConversionException`
    `FormatConversionException`
    `java.lang.IllegalArgumentException`

### toStringArray

    public static java.lang.String[] toStringArray(int[] values)
                                            throws java.lang.IllegalArgumentException

  Deprecated.
  Throws:
    `java.lang.IllegalArgumentException`

### toStringArray

    public static java.lang.String[] toStringArray(boolean[] values)
                                            throws java.lang.IllegalArgumentException

  Deprecated.
  Throws:
    `java.lang.IllegalArgumentException`

### toStringArray

    public static java.lang.String[] toStringArray(java.lang.Object[] values,
                                                   Converter converter)
                                            throws NullConversionException,
                                                   FormatConversionException,
                                                   java.lang.IllegalArgumentException

  Deprecated.
  Throws:
    `NullConversionException`
    `FormatConversionException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.